Loading...
Searching...
No Matches
BALL::MMFF94StretchParameters Class Reference
Molecular Modeling » Molecular Mechanics » MMFF94 Force Field.

`#include <BALL/MOLMEC/MMFF94/MMFF94Parameters.h>`

Inheritance diagram for BALL::MMFF94StretchParameters:

## Classes

struct | BondData
struct | EmpiricalBondData

## Public Types

typedef HashMap< Position, BondData > | StretchMap
typedef HashMap< Position, EmpiricalBondData > | EmpiricalStretchMap

## Public Member Functions

| MMFF94StretchParameters ()
| Default constructor.
virtual | ~MMFF94StretchParameters ()
| Destructor.
const MMFF94StretchParameters & | operator= (const MMFF94StretchParameters &param)
| Assignment operator.
virtual void | clear ()
| Clear method.
bool | assignParameters (Position type1, Position type2, BondData &data) const
bool | readEmpiricalParameters (Parameters &p, const String &section)
const StretchMap & | getBondParameters () const
const EmpiricalStretchMap & | getEmpiricalParameters () const
Public Member Functions inherited from BALL::MMFF94ParametersBase
| MMFF94ParametersBase ()
| Default constructor.
virtual | ~MMFF94ParametersBase ()
| Destructor.
const MMFF94ParametersBase & | operator= (const MMFF94ParametersBase &)
| Assignment operator.
bool | isInitialized ()
bool | readParameters (Parameters &p, const String &section)
void | setEquivalences (const MMFF94AtomTypeEquivalences &equi)

## Static Public Attributes

static double | radii []
static double | electronegatives []

## Protected Member Functions

virtual bool | setup_ (const std::vector< std::vector< String > > &)

## Protected Attributes

StretchMap | parameters_
| standard parameters
StretchMap | buffered_parameters_
EmpiricalStretchMap | empirical_parameters_
Protected Attributes inherited from BALL::MMFF94ParametersBase
bool | is_initialized_
Size | number_expected_fields_
const MMFF94AtomTypeEquivalences * | equiv_

## Detailed Description

MMFF94 parameters for bond stretching (see MMFFBOND.PAR)

Definition at line 185 of file MMFF94Parameters.h.

## Member Typedef Documentation

## EmpiricalStretchMap

typedef HashMap<Position, EmpiricalBondData> BALL::MMFF94StretchParameters::EmpiricalStretchMap

Definition at line 215 of file MMFF94Parameters.h.

## StretchMap

typedef HashMap<Position, BondData> BALL::MMFF94StretchParameters::StretchMap

Definition at line 214 of file MMFF94Parameters.h.

## Constructor & Destructor Documentation

## MMFF94StretchParameters()

BALL::MMFF94StretchParameters::MMFF94StretchParameters | ( |  | ) |

Default constructor.

## ~MMFF94StretchParameters()

virtual BALL::MMFF94StretchParameters::~MMFF94StretchParameters | ( |  | ) |

virtual

Destructor.

## Member Function Documentation

## assignParameters()

bool BALL::MMFF94StretchParameters::assignParameters | ( | Position | type1,
|  | Position | type2,
|  | BondData & | data ) const

## clear()

virtual void BALL::MMFF94StretchParameters::clear | ( |  | ) |

virtual

Clear method.

Reimplemented from BALL::MMFF94ParametersBase.

## getBondParameters()

const StretchMap & BALL::MMFF94StretchParameters::getBondParameters | ( |  | ) | const

inline

Definition at line 240 of file MMFF94Parameters.h.

## getEmpiricalParameters()

const EmpiricalStretchMap & BALL::MMFF94StretchParameters::getEmpiricalParameters | ( |  | ) | const

inline

Definition at line 243 of file MMFF94Parameters.h.

## operator=()

const MMFF94StretchParameters & BALL::MMFF94StretchParameters::operator= | ( | const MMFF94StretchParameters & | param | ) |

Assignment operator.

## readEmpiricalParameters()

bool BALL::MMFF94StretchParameters::readEmpiricalParameters | ( | Parameters & | p,
|  | const String & | section )

## setup_()

virtual bool BALL::MMFF94StretchParameters::setup_ | ( | const std::vector< std::vector< String > > & |  | ) |

protected virtual

Reimplemented from BALL::MMFF94ParametersBase.

## Member Data Documentation

## buffered_parameters_

StretchMap BALL::MMFF94StretchParameters::buffered_parameters_

mutable protected

Definition at line 254 of file MMFF94Parameters.h.

## electronegatives

double BALL::MMFF94StretchParameters::electronegatives[]

static

Definition at line 246 of file MMFF94Parameters.h.

## empirical_parameters_

EmpiricalStretchMap BALL::MMFF94StretchParameters::empirical_parameters_

protected

Definition at line 255 of file MMFF94Parameters.h.

## parameters_

StretchMap BALL::MMFF94StretchParameters::parameters_

protected

standard parameters

Definition at line 253 of file MMFF94Parameters.h.

## radii

double BALL::MMFF94StretchParameters::radii[]

static

Definition at line 245 of file MMFF94Parameters.h.